from boatwright.Data.Collection.Historical import CoinbaseCollector, AlpacaCollector
from boatwright.Data.CSVdatabase import CSVdatabase
from datetime import datetime

start = datetime(year=2023, month=11, day=1, hour=0, minute=0)
end = datetime(year=2024, month=2, day=1, hour=0, minute=0)

# Collect data from Coinbase
collector = CoinbaseCollector()
for granularity_unit in ["MINUTE", "HOUR", "DAY"]:
    data = collector.collect("BTC", start, end, granularity_unit, verbose=True) # retrieves data via Coinbase API 
    CSVdatabase(source="COINBASE").save("BTC", data, granularity_unit, verbose=True) # saves data as .csv files

# Collect data from Alpaca
collector = AlpacaCollector()
for granularity_unit in ["MINUTE", "HOUR", "DAY"]:
    data = collector.collect("AAPL", start, end, granularity_unit, verbose=True) # retrieves data via Alpaca API 
    CSVdatabase(source="ALPACA").save("AAPL", data, granularity_unit, verbose=True) # saves data as .csv files
